# Generated by Django 2.1.7 on 2019-03-20 21:16

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Device',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('device_uuid', models.CharField(blank=True, max_length=100, null=True)),
                ('model_number', models.CharField(max_length=15, unique=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Kid',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('first_name', models.CharField(blank=True, max_length=100, null=True)),
                ('last_name', models.CharField(blank=True, max_length=100, null=True)),
                ('birth_date', models.DateTimeField()),
                ('gender', models.IntegerField(choices=[(0, 'girl'), (1, 'boy')])),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Member',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('first_name', models.CharField(blank=True, max_length=100, null=True)),
                ('last_name', models.CharField(blank=True, max_length=100, null=True)),
                ('mobile_number', models.CharField(max_length=15, unique=True)),
                ('active_status_type', models.IntegerField(choices=[(0, 'initial'), (1, 'active'), (2, 'verification_required'), (8, 'disabled'), (9, 'banned')], default=1)),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='member', related_query_name='member', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='kid',
            name='member',
            field=models.ManyToManyField(related_name='kids', related_query_name='kid', to='nnx.Member'),
        ),
        migrations.AddField(
            model_name='device',
            name='kid',
            field=models.OneToOneField(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='device', related_query_name='device', to='nnx.Kid'),
        ),
        migrations.AddField(
            model_name='device',
            name='member',
            field=models.ManyToManyField(related_name='devices', related_query_name='device', to='nnx.Member'),
        ),
    ]
